Bug 449350 - lvcreate keep partially active LVs if some node fail to activate LV
lvcreate keep partially active LVs if some node fail to activate LV
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Cluster QE
: Regression
Depends On: 450474
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 07:01 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2008-0806
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attempt to fix (685 bytes, patch)
2008-06-02 07:03 EDT, Milan Broz
no flags Details | Diff

  None (edit)
Description Milan Broz 2008-06-02 07:01:59 EDT
+++ This bug was initially created as a clone of Bug #449344 +++

1) If user (by mistake) creates clustered VG on local PVs and LV on them,
command failed, but LV is created on local node despite the error message
(lvcreate should revert change if any node fails)

Reproducer:
vgcreate vg_local /dev/sdc1 /dev/sdc2 /dev/sdc3 /dev/sdc4
  Clustered volume group "vg_local" successfully created

# /dev/sdc is local, this must fail on other nodes
# lvcreate -L 100M -n lv vg_local
  Error locking on node bar-02.englab.brq.redhat.com: Volume group for uuid not
found: 8Q88KA5T4x8Jd0ul0QUD7wkl9wfz5sJ8pU0wmGyCdq7q8hH859GM5z3316m7xuOa
  Error locking on node bar-03.englab.brq.redhat.com: Volume group for uuid not
found: 8Q88KA5T4x8Jd0ul0QUD7wkl9wfz5sJ8pU0wmGyCdq7q8hH859GM5z3316m7xuOa
  Aborting. Failed to activate new LV to wipe the start of it.

# but volume is there activated
# dmsetup table vg_local-lv
0 204800 linear 8:33 384

# and not in metadata
# lvs vg_local
Comment 1 Milan Broz 2008-06-02 07:03:22 EDT
Created attachment 307345 [details]
attempt to fix
Comment 2 Milan Broz 2008-06-06 05:31:15 EDT
Fixed upstream.

Add missing deactivation after activation failure in lvcreate -Zy.
Comment 4 Milan Broz 2008-06-09 16:10:04 EDT
Fixed in lvm2-cluster-2.02.37-1.el4
Comment 7 errata-xmlrpc 2008-07-25 15:26:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0806.html

Note You need to log in before you can comment on or make changes to this bug.